Subject: (2nd) summary of expert systems for organic synthesis

From: Steve Stuart <[email-masked]>
Date: Tue, 24 Jan 1995 19:21:29 -0500

Here is a summary of the responses to my question last week on
references to expert system approaches to organic synthesis.  I am
embarassed to say that I missed a similar question and summary a few
weeks ago.  For the benefit of anyone else who was a little hasty in
plowing through their holiday messages, I have attached it, after the
two new messages that I received.  Thanks to everyone who answered!

original request:

>I would appreciate receiving any information on the current status of
>AI or expert system approaches to synthetic organic chemistry.  I know
>nothing about this area, so I'm not sure what to expect - are there
>programs as smart as an introductory course, for example?  I am most
>interested in references or reviews describing progress and/or
>techniques, but pointers to specific programs would also be fine.  I
>will summarize any responses for the list, of course.

*******************************************************************************
>From [email-masked] Thu Jan 19 08:45:23 1995

An inexpensive (ca. $160) program is sold by the ACS; phone them or see
C&EN 1994 Sept 5, several pages of ACS advertisements.  The program LHASA
is probably the best org synth program; for details contact
Dr Alan Long   Director  Dept of Chemistry   Harvard University
12 Oxford St  Cambridge, MA 02138
See also Angewandte Chemie, International Ed, 1993  32  201-227
Good Luck
*******************************************************************************
>From [email-masked] Thu Jan 19 07:17:38 1995

Here is a really thorough review. It is worth hunting down the book. I don't
know the year.

Loftus, P. Computer-aided Synthesis Design. Chemical Structure Systems: Computational Techniques for Prepresentation, Searching, and Processing of Structural Information. New York, Ellis Horwood. J. E. Ash, W. A. Warr and P. Willett. 222-262.

  @@@@@@@@@@@      Yvonne Martin, Senior Project Leader
             @     Computer Assisted Molecular Design Project
   @@@@@@@@  @     D-47E, AP910 2fl
  @          @     Abbott Laboratories
  @          @     One Abbott Park Road
   @@@@@@@@@@      Abbott Park, IL 60064
                   Phone: 708 937-5362 FAX: 708 937-2625
*******************************************************************************

ORIGINAL SUMMARY:

------------------------------------------------------------------------------

From: "Robert K. Szilagyi" <[email-masked]>
To: [email-masked]
Subject: CCL:Synthesis desing and databases

Dear Fellows,

first of all, I would like to wish a happy and cheerful New Year to everyone on
this list! As a matter of fact, I promised still in 1994 to give a summary
about the synthesis planning expert systems. Here you are!
Thanks again to everyone for helping me to get the taste of this topic. As it
comes from the following messages, the LHASA, CAMEO and CHIRON are the most
favourable softwares. Please, let me know if there is anything else!

		  		THE SUMMARY

********************************************************************************
>From [email-masked]  Tue Nov 29 19:41:34 1994

There are a few around, but the most advanced is LHASA (Logic and Heuristics
Applied to Synthetic Analysis) out of EJ Corey's group at Harvard. For more
information, contact:

Dr. Alan Long
Director
Department of Chemistry
Harvard University
12 Oxford Street
Cambridge, MA 02138
tel: (617) 495-4283
e-mail: [email-masked].

or EJ himself at the same address. Please let me know if you need more
information or can't get through to Alan.

Dimitris K. Agrafiotis, PhD             | e-mail: [email-masked]
3-Dimensional Pharmaceuticals, Inc.     | tel:    (215) 222-8950
3700 Market Street                      | fax:    (215) 222-8960
Philadelphia, PA 19104
********************************************************************************
>From [email-masked]  Tue Nov 29 19:49:14 1994

Rob,

   Check out CAMEO (Computer Assisted Mechanistic Evaluation of
Organic Reactions) from the Jorgensen group at Yale. CAMEO predicts
plausable results of an organic reaction based on the starting
materials and conditions. The algorithms used in CAMEO are based
on mechanistic rules/trends derived from the literature (i.e. NOT
database driven). Prof. Jorgensen can be reached at:
[email-masked]

Jim Briggs
********************************************************************************
>From [email-masked]  Tue Nov 29 20:00:16 1994

You might be able to get Chiron from Stephen Hanessian at the University
of Montreal. I think the price is nominal. Email [email-masked].

Yvonne Martin
Abbott Laboratories
********************************************************************************
>From [email-masked]  Tue Nov 29 21:56:37 1994

A portion of Bill Jorgensen's group at Yale develops
CAMEO (Computer Assisted Mechanistic Evaluation of
Organic Reactions).  They may be reached through Bill:
[email-masked].  In addition, here is the
lead reference:

Jorgensen, W.L.; Laird, E.R.; Gushurst, A.J.; Fleisher, J.M.;
Gothe, S.A.; Helson, H.E.; Paderes, G.D.; Sinclair, S.
"CAMEO:  a program for the logical prediction of the products
of chemical reactions."  Pure & Appl. Chem. (1990) v.62, 1921-1932.
********************************************************************************
>From [email-masked]  Wed Nov 30 16:15:47 1994

Another program is CAMEO, on which I worked as a graduate student.  It
operates in the forward (as opposed to retrosynthetic) direction, predicting
the products of organic reactions given starting materials and conditions.
For further information contact Professor William Jorgensen at [email-masked].
yale.edu.

Harold Helson
********************************************************************************
>From [email-masked]  Wed Nov 30 18:02:02 1994

In response to your inquiry about synthesis design programs, I could
mention the system developed here.  It is described in the paper:

  J. Chem. Inf. Comp. Sci.  30, pg 505 (1990)
  Computer-Aided Synthesis Design at RISC-Linz: Automatic Extraction
          and Use of Reaction Classes

I plan to release it to public domain eventually.  It runs in COMMON LISP
under CLX (an X-window interface for LISP - public domain).  At the
moment it is a bare-bones system with no database.  Part of the work
toward releasing it to public domain will be building up (through its
analysis techniques) a rudimentary database.
It is still in its infancy in regards to 'real' organic reaction
searches (This is mainly due to the database), but all the mechanisms
are there (with room for improvement).
I would be interested to know in more detail your intentions.  This is
partly for the pragmatic reason that I am only able to work on it in
my sparse 'spare time' (thus progress towards public domain is still
months away) and would be seriously interested in cooperations in
reactivating the system (it has been dormant for a couple of years).

Edward S. Blurock
********************************************************************************
>From [email-masked]  Wed Nov 30 19:50:57 1994

   Here are some information about computer programs out of S. Hanessian's
group at Universite de Montreal.
For more information, please send email to [email-masked]

The Chiron Program (version 4.22)
---------------------------------
The Chiron Computer Program is an interactive program for the analysis and
perception of stereochemical features in molecules and for the selection of
chiral precursors in organic synthesis.  It  features Computer Assisted
Stereochemical Analysis (CASA), and Computer Assisted Precursor Selection
(CAPS).  CASA is concerned with the recognition of stereochemical and symmetry
elements in a molecule.  CAPS  probes the structure in question and suggest
appropriate precursors from a data base of 4567 chiral and achiral molecules.
The Chiron program also has 3-D graphics capability and interfaces with sybyl,
macromodel, reaccs, x-ray data bases, etc.
Applications in research (drug design and synthesis, chemical diversity,
natural
and unnatural product synthesis.) and in teaching.  Available on Macintosh,
SiliconGraphics and V.A.X.

ChemProtect (version 1.0)
-----------
   ChemProtect is a  new software designed to help chemists in the selection of
protective groups in synthesis.
   ChemProtect works on the Apple Macintosh.  It is available in two versions
(English and French).  A modified version of this software is also available on
UNIX (Iris Series) and VAX/VMS.
   This software contains 346 protective groups and 161 reaction conditions for
a total of 55706 possible reactivities.  Finally, there are 1413 literature
references built in the database.  There are general references (reviews, etc.)
and specific references to the primary literature.
   ChemProtect is innovative in many ways since the interface is interactive,
intuitive and very easy to use.  It has three search options: Compatibility,
Deprotection and Incompatibility.
   - The Compatibility search allows you to find all protective groups for
selected chemical functions that will be stable to 1 up to 10 reaction steps
simultaneously.
   - The Incompatibility search allows you to look for conditions that modify
selected protective groups (up to 10 also).
   - The Deprotection search allows you to look for conditions that selectively
deprotect a set of protective groups up to 10 at the same time.

Benoit Larouche Agent de Recherche     | INTERNET :
[email-masked]
                Departement de Chimie  |            [email-masked]
	        Universite de Montreal | TELEPHONE: (514) 343-6111 x3969

********************************************************************************
Rob,

You recently requested via CCL information regarding "expert systems
in synthesis design". I have pleasure in enclosing information
about LHASA, which in my opinion is the most sophisticated
retrosynthetic analysis program available. If you require further
information you may contact me or probably more approriately
Al Long.

Regards,

Craig A. Marby, Ph.D.

    __o
  _ \<,_       C.A. Marby    [email-masked]
 (_)/ (_)                    +1 617 495 2654 (work)
~~~~~~~~~~                   +1 617 482 3962 (home, not 24hrs)

                      The LHASA Program

     The computer program LHASA (an acronym for Logic and
Heuristics Applied to Synthetic Analysis), which has been
under continuous development at Harvard and various
collaborating universities for more than 20 years, is intended
to assist organic chemists in designing multistep routes to
complex molecules.  The program accepts as input a target
molecule drawn in the language of structural formulae that is
common to all organic chemists.  A perception of the target is
conducted to identify molecular features that influence the
development of retrosynthetic routes (e.g. functional groups,
stereocenters, rings, etc.) The user is then prompted to
specify a strategy and substrategy, or tactic, to guide the
retrosynthetic analysis.  Finally, the program selects
retroreactions ("transforms") from its chemical knowledge base
in accordance with the processing tactic and applies these
transforms to generate retrosynthetic precursors which are
structurally simpler than the target.  The user selects one of
the precursors for further processing, and the analysis
proceeds in an interactive fashion until readily available
hypothetical starting materials are obtained.

                     Graphical Interface

     The concept of communicating chemical structural
information graphically to a computer originated with the DEC
PDP-1 version of LHASA (called OCSS) in the late 1960's.  This
early effort used graphical displays on three CRT's
simultaneously, allowing coordinated viewing of a sketching
window, a target and precursor display, and a retrosynthetic
"tree".  The current version of LHASA uses a single CRT, with
control passed among several menus.  Interaction with the
program is entirely graphical, allowing chemists with little
or no computer experience to use the program effectively.
Considerable effort has been expended in the last few years to
enhance the user-friendliness of the program.  New features
include on-line setup menus for modifying run-time parameters,
graphical display of perception information, algorithms for
automated selection of strategies and tactics, and on-line
explanations of button functions.  LHASA supports a variety of
monochrome and color graphics devices, including X, the de-facto
graphics standard for windowing systems under VMS and Unix. The
LHASA program is now supported under VMS (both VAX and Alpha AXP),
as well as a number of Unix platforms.

              Transform Selection and Evaluation

     The task of choosing the best transforms for
retrosynthetic simplification of an arbitrary target structure
drawn by the chemist is daunting.  The variety of organic
structures is enormous, and the number of chemical reactions
which could be used to synthesize them is similarly
overwhelming.  LHASA uses a number of pattern-matching
techniques to narrow the search for transforms to a subset of
its knowledge base.  Some of these techniques are relatively
elemental, based only on atoms and the bonds between them,
while others rely on convenient "synthetically-significant"
structural features such as functional groups, rings, and
stereochemical relationships.  To further narrow the set of
transforms that passes pattern-matching, LHASA evaluates each
transform by reading and answering a list of
scope-and-limitations questions, or qualifiers, which
delineate precisely the molecular features required or
prohibited by the transform.  Knowledge base entries,
including these qualifiers, are written in a special chemical
English language, called CHMTRN, designed for LHASA and
interpreted on-line by the program.  Transforms passing all
stages of this detailed evaluation are shown to the chemist,
while failing transforms are killed and not shown.

                Strategy and Tactic Selection

     When planning a laboratory synthesis, the expert organic
chemist does not simply apply every reaction that might be
used to make the target structure and all intermediate
structures.  Rather, s/he identifies one or more strategies
and tactics to guide the analysis in the direction of maximal
retrosynthetic simplification of the target.  In a similar
fashion, LHASA uses strategies and tactics to emulate the
chemists' reasoning and limit the scope of the search for
transforms.  There are five major strategies in LHASA:
functional-group and pattern-based, topological or "strategic
bond", key-transform, stereochemical, and
starting-material-oriented.  To assist the chemist in
selecting strategies, a "LHASA Suggestions" mode has recently
been implemented in which the program suggests tactics based
on its perception of synthetically-significant structural
features.

                   Transform Knowledge Base

     The major focus of LHASA research at Harvard is in
developing sophisticated algorithms for selecting and
evaluating strategies, tactics, and transforms, rather than
the writing of the transforms for the LHASA knowledge base.
LHASA transforms are written to be very general, so that they
can be applied to any target structure containing the correct
retron, or keying substructure (ring, functional group
arrangement, etc.).  As such, they are difficult to write,
since a multitude of structural possibilities must be
considered, and also the necessary skills needed to write good
CHMTRN take time to acquire.
     The LHASA knowledge base consists, at present, of some
2400 transforms and tactical combinations of transforms. A
group of chemical and pharmaceutical companies in the United
Kingdom has already dedicated considerable effort to knowledge-
base expansion, with concentration in the area of heteroaromatic
chemistry. A total of approximately 700 transforms in the LHASA
knowledge base originate in the UK. Expansion of the knowledge
base is continuing and recently an effort to update some of the
older transforms has been undertaken.

                Other Related Software

     A small number of related programs have spun off from
LHASA as well.  While certain of these programs are of a
proprietary nature, others are available for general use,
among them DEREK (a substructure-based toxicology prediction
program), APSO (a program for teaching principles of synthesis
to organic chemistry students), and PROTECT (a
graphically-oriented program for identification of protective
groups in organic syntheses). Recently an interface to DEREK
has been added to the LHASA program, allowing the chemist to
directly use DEREK to process a precursor generated by LHASA
and hence view the compounds predicted toxicology.

                  International Distribution

     LHASA is used in approximately 20 industrial concerns and
academic institutions world-wide.  The LHASA group at Harvard
maintains an ongoing collaboration with groups in several
other universities, among them Leeds University (UK), the
University of Helsinki, the University of Nijmegen (the
Netherlands), and Chalmers Institute of Technology (Goteborg,
Sweden).  A non-profit corporation in the UK (LHASA UK, Ltd.)
has also been formed to coordinate the expansion of knowledge
bases for both LHASA and DEREK.

                  Recent Literature Reviews

E.J. Corey, A.K. Long, S.D. Rubenstein, Science 228 408 (1985).

A.K. Long, S.D. Rubenstein, L.J. Joncas, Chemical and
  Engineering News, 22 (1983).

For more information, contact:     Dr. Alan K. Long
                                   Harvard Chemistry Dept.
                                   12 Oxford Street
                                   Cambridge, MA 02138
                                   UNITED STATES
                                   +1 617 495 4283
                                   [email-masked]

********************************************************************************
>From LHASA UK ([email-masked])  Tue Dec 12 2:37:16 1994

 Dear Sir,

 	Just to let you know that there is an organisation called LHASA UK that
 distributes LHASA and CAMEO synthesis planning software to industrialists and
 academics in the UK and Europe. I will send (by post) information leaflets on
 this software to you. If you need to know any more, please get in touch.

 Yours sincerely,

 Dr. Jan J. Langowski
 LHASA UK Technical Manager

-- 

-----------------------------------------------------------------------------

Robert K. Szilagyi                        University of Veszprem   METMOD FF
research fellow                           Dept. Org. Chem.            L1
Email: [email-masked]             Veszprem, H-8201         L2 |   R1
       [email-masked]         Egyetem u. 10              >W=C<
Phone: +36-(88)-422022/156                P.O.Box 158              L3 |   R2
FAX:   +36-(88)-426016                    HUNGARY                     L4
http://indy.mars.vein.hu:8000/molmod.html
 
-----------------------------------------------------------------------------